#ifndef SRC_UI_CORE_FINDER_DIALOG_HPP_
#define SRC_UI_CORE_FINDER_DIALOG_HPP_

#include <QProgressDialog>
#include <optional>
#include <memory>
#include "src/core/settings.hpp"
#include "src/core/updates.hpp"

class ParallelCoreFinderDialog : public QProgressDialog {
	Q_OBJECT

	private:
	std::shared_ptr<bool> m_dialogOpen;
	std::optional<ParallelCoreVersion> m_build;

	public:
	ParallelCoreFinderDialog();
	~ParallelCoreFinderDialog() {}

	inline const std::optional<ParallelCoreVersion> &coreBuild() const noexcept {
		return m_build;
	}

	protected:
	virtual void showEvent( QShowEvent *event ) override;
	virtual void closeEvent( QCloseEvent *event ) override;

};



#endif /* SRC_UI_CORE_FINDER_DIALOG_HPP_ */
